Skip to main content
GET
/
subcontractors
/
{id}
/
swms
cURL
curl --request GET \
  --url https://api.buildpass.global/subcontractors/{id}/swms \
  --header 'Authorization: Bearer <token>' \
  --header 'X-BuildPass-Api-Version: <x-buildpass-api-version>'
{
  "data": [
    {
      "id": "swms_clgbsb90b001qjy0f0eo1hspp",
      "createdAt": "2023-10-03T23:19:35.771Z",
      "updatedAt": "2023-10-03T23:19:35.771Z",
      "name": "SWMS Document",
      "status": "WAITING_REVIEW",
      "url": "https://example.com/swms_document.pdf"
    }
  ],
  "meta": {
    "totalCount": 100,
    "totalPages": 4,
    "offset": 0,
    "limit": 25
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-BuildPass-Api-Version
enum<string>
default:v1
required

What API version to use.

Available options:
v1
Example:

"v1"

Path Parameters

id
string
required

The ID of the subcontractor

Example:

"sub_clgbsb90b001qjy0f0eo1hspp"

Query Parameters

offset
integer
default:0

The number of items to skip before starting to collect the result set

Example:

0

limit
integer
default:25

The number of items to return.

Required range: x <= 25
Example:

25

projectId
string

Filter SWMS documents by the project they are associated with

Example:

"proj_clgbsb90b001qjy0f0eo1hspp"

Response

200 - application/json

A list of SWMS documents

data
object[]
meta
object